VULKAN_HPP_NAMESPACE::Extent3D Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| Extent3D (uint32_t width_=0, uint32_t height_=0, uint32_t depth_=0)
| Extent3D (Extent2D const &extent2D, uint32_t depth_=0)
| Extent3D (VkExtent3D const &rhs)
Extent3D & | operator= (VkExtent3D const &rhs)
Extent3D & | setWidth (uint32_t width_)
Extent3D & | setHeight (uint32_t height_)
Extent3D & | setDepth (uint32_t depth_)
| operator VkExtent3D const & () const
| operator VkExtent3D & ()
bool | operator== (Extent3D const &rhs) const
bool | operator!= (Extent3D const &rhs) const

## Data Fields

uint32_t | width
uint32_t | height
uint32_t | depth

## Detailed Description

Definition at line 5280 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Extent3D() [1/3]

VULKAN_HPP_NAMESPACE::Extent3D::Extent3D | ( | uint32_t | width_ = `0`,
|  | uint32_t | height_ = `0`,
|  | uint32_t | depth_ = `0`
| ) |  |

inline

Definition at line 5282 of file vulkan.hpp.

: width( width_ )
, height( height_ )
, depth( depth_ )
{
}

## Extent3D() [2/3]

VULKAN_HPP_NAMESPACE::Extent3D::Extent3D | ( | Extent2D const & | extent2D,
|  | uint32_t | depth_ = `0`
| ) |  |

inline explicit

Definition at line 5291 of file vulkan.hpp.

: width( extent2D.width )
, height( extent2D.height )
, depth( depth_ )
{}

## Extent3D() [3/3]

VULKAN_HPP_NAMESPACE::Extent3D::Extent3D | ( | VkExtent3D const & | rhs | ) |

inline

Definition at line 5298 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Extent3D ) );
}

References memcpy.

## Member Function Documentation

## operator VkExtent3D &()

VULKAN_HPP_NAMESPACE::Extent3D::operator VkExtent3D & | ( |  | ) |

inline

Definition at line 5331 of file vulkan.hpp.

{
return *reinterpret_cast<VkExtent3D*>(this);
}

## operator VkExtent3D const &()

VULKAN_HPP_NAMESPACE::Extent3D::operator VkExtent3D const & | ( |  | ) | const

inline

Definition at line 5326 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExtent3D*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::Extent3D::operator!= | ( | Extent3D const & | rhs | ) | const

inline

Definition at line 5343 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

Extent3D& VULKAN_HPP_NAMESPACE::Extent3D::operator= | ( | VkExtent3D const & | rhs | ) |

inline

Definition at line 5303 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Extent3D ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::Extent3D::operator== | ( | Extent3D const & | rhs | ) | const

inline

Definition at line 5336 of file vulkan.hpp.

{
return ( width == rhs.width )
&& ( height == rhs.height )
&& ( depth == rhs.depth );
}

References depth, height, and width.

Referenced by operator!=().

## setDepth()

Extent3D& VULKAN_HPP_NAMESPACE::Extent3D::setDepth | ( | uint32_t | depth_ | ) |

inline

Definition at line 5320 of file vulkan.hpp.

{
depth = depth_;
return *this;
}

## setHeight()

Extent3D& VULKAN_HPP_NAMESPACE::Extent3D::setHeight | ( | uint32_t | height_ | ) |

inline

Definition at line 5314 of file vulkan.hpp.

{
height = height_;
return *this;
}

## setWidth()

Extent3D& VULKAN_HPP_NAMESPACE::Extent3D::setWidth | ( | uint32_t | width_ | ) |

inline

Definition at line 5308 of file vulkan.hpp.

{
width = width_;
return *this;
}

## Field Documentation

## depth

uint32_t VULKAN_HPP_NAMESPACE::Extent3D::depth

Definition at line 5350 of file vulkan.hpp.

Referenced by operator==().

## height

uint32_t VULKAN_HPP_NAMESPACE::Extent3D::height

Definition at line 5349 of file vulkan.hpp.

Referenced by operator==().

## width

uint32_t VULKAN_HPP_NAMESPACE::Extent3D::width

Definition at line 5348 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::Extent3D::depth
uint32_t depth
Definition: vulkan.hpp:5350
VULKAN_HPP_NAMESPACE::Extent3D::height
uint32_t height
Definition: vulkan.hpp:5349
width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
memcpy
#define memcpy
Definition: SDL_malloc.c:630
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572
VkExtent3D
Definition: vulkan_core.h:1857
depth
GLint GLint GLsizei GLsizei GLsizei depth
Definition: SDL_opengl.h:1572
VULKAN_HPP_NAMESPACE::Extent3D::width
uint32_t width
Definition: vulkan.hpp:5348
VULKAN_HPP_NAMESPACE::Extent3D::operator==
bool operator==(Extent3D const &rhs) const
Definition: vulkan.hpp:5336
VULKAN_HPP_NAMESPACE::Extent3D::Extent3D
Extent3D(uint32_t width_=0, uint32_t height_=0, uint32_t depth_=0)
Definition: vulkan.hpp:5282